"use client";
import { __exports as e } from "../../../../../_virtual/isKey.js";
import { __require as u } from "../predicate/isSymbol.js";
var n;
function c() {
  return n ? e : (n = 1, (function(t) {
    Object.defineProperty(t, Symbol.toStringTag, { value: "Module" });
    const o = /* @__PURE__ */ u(), s = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, y = /^\w*$/;
    function f(r, i) {
      return Array.isArray(r) ? !1 : typeof r == "number" || typeof r == "boolean" || r == null || o.isSymbol(r) ? !0 : typeof r == "string" && (y.test(r) || !s.test(r)) || i != null && Object.hasOwn(i, r);
    }
    t.isKey = f;
  })(e), e);
}
export {
  c as __require
};
